server:
  port: 6060
  servlet:
    context-path: /

spring:
  application:
    name: run-economy
  main:
    allow-bean-definition-overriding: true #当遇到同样名字的时候，是否允许覆盖注册
  #  cloud:
  #    nacos:
  #      discovery:
  #        server-addr: 10.81.3.155:8848
  #        #指定yaml格式的配置
  #        file-extension: yaml
  #        cluster-name: master
  #      username: nacos
  #      password: nacos
  #redis集群
  redis:
    host: 123.60.219.66
    #    host: 192.168.2.2
    port: 6379
    timeout: 100000
    #    集群环境打开下面注释，单机不需要打开
    #    cluster:
    #      #集群信息
    #      nodes: 10.83.68.151:6379,10.83.68.152:6379,10.83.68.153:6379,10.83.68.154:6379,10.83.68.155:6379,10.83.68.156:6379,10.83.68.157:6379,10.83.68.158:6379,10.83.68.159:6379
    #      #默认值是5 一般当此值设置过大时，容易报：Too many Cluster redirections
    #      maxRedirects: 3
    password: GYee@#56
    application:
      name: test
    jedis:
      pool:
        max-active: 8
        min-idle: 0
        max-idle: 8
        max-wait: -1
    database: 10
  autoconfigure:
    exclude: org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration,org.springframework.boot.autoconfigure.jdbc.DataSourceTransactionManagerAutoConfiguration
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driver-class-name: org.postgresql.Driver
    #    url: jdbc:postgresql://10.81.3.151:5432/IMS_NEM_JN
    #    url: jdbc:postgresql://123.60.219.66:5432/IMS_NEM_JN
    #    username: postgres
    #    password: gyeepd@123
    url: jdbc:postgresql://rm-cn-adn3tj2bu00032so.rwlb.rds.aliyuncs.com:5432/admin_1?useSSL=true&serverTimezone=UTC
    username: admin_1
    password: Admin123
    oracle-schema=:
    druid:
      max-active: 10
      initial-size: 1
      min-idle: 1
      max-wait: 60000
      time-between-eviction-runs-millis: 60000
      min-evictable-idle-time-millis: 300000
      test-while-idle: true
      test-on-borrow: false
      test-on-return: false
  servlet:
    multipart:
      # 开启 multipart 上传功能
      enabled: true
      # 文件写入磁盘的阈值
      file-size-threshold: 2KB
      # 最大文件大小
      max-file-size: 200MB
      # 最大请求大小
      max-request-size: 215MB

mybatis-plus:
  configuration:
    map-underscore-to-camel-case: true
    auto-mapping-behavior: full
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    default-enum-type-handler: org.apache.ibatis.type.EnumOrdinalTypeHandler
  mapper-locations: classpath*:mapper/**/*Mapper.xml
  global-config:
    # 逻辑删除配置
    db-config:
      #id-type: auto
      # 删除前
      logic-not-delete-value: 1
      # 删除后
      logic-delete-value: 0
      #table-prefix: t_
      id-type: assign_uuid
  #配置类型别名对应的包
  type-aliases-package: com.gyee.runeconomy.model.auto,com.gyee.jinneng_kpi.model.auto
  #用于扫描通用枚举包
  type-enums-package: com.gyee.runeconomy.config
logging:
  level:
    root: info
    com.example: debug
initialcode: INITIAL
db:
  #  URL1: http://10.81.3.162:8011/ts
  URL1: http://47.94.243.115:8011/ts
  URL2: http://47.94.243.115:8011/ts
#  URL2: http://10.81.3.162:8012/ts

#
#db:
#  url1: http://10.81.3.152:8098/ts
#  url2: http://10.81.3.152:8099/ts

appendSation:
  appendSationMap: '{"SXJ_KGDL_QYRG_GDC_STA":"沁源荣光光伏电站",  "SXJ_KGDL_CZXY_GDC_STA":"长治新源光伏电站",   "SXJ_KGDL_YQCX_GDC_STA":"阳泉城新光伏电站","SXJ_KGDL_HJFA_GDC_STA":"河津樊安光伏电站","SXJ_KGDL_WXYX_GDC_STA":"武乡涌新光伏电站",  "SXJ_KGDL_WXYL_GDC_STA":"武乡涌良光伏电站", "SXJ_KGDL_PSSX_GDC_STA":"平顺顺新光伏电站",  "SXJ_KGDL_HGFD_GDC_STA":"壶关福杜光优电站", 	 "SXJ_KGDL_YX_GDC_STA":"孟县光伏电站",  "SXJ_KGDL_JK_GDC_STA":"交口光伏电站", "SXJ_KGDL_TZ_GDC_STA":"天镇六期光伏电站",  "SXJ_KGDL_YQ_GDC_STA":"垣曲光伏电站","SXJ_KGDL_YLZ_GDC_STA":"尹灵芝二期风电场",  "SXJ_KGDL_LHS_GDC_STA":"五台莲花山风电场", "NMM_KGDL_MLJ_FDC_STA":"内蒙察右中旗米粮局风电场" }'

